      SUBROUTINE PARDER(X,Y,KODE,DXY,AR,A,AM,R,RVWAM,
     & B,G0,G,FX,GX,FT,GT)
CP  PARTIAL DERIVATIVES OF ELLIPTIC STATE VECTOR. CALLED BY ELLIPS.
C
      IMPLICIT REAL*8(A-H,O-Z)
      DIMENSION DXP(3),DXY(6,6),X(6),Y(6),G(3)
      COMMON/CPOEMS/ XMU,WMU,WMUIN,XMUM,XMUS
      R0IN = A/AR
      R0I3 = R0IN*R0IN/AR
      XMUIN = 1.D0/(A*XMU)
      RIN = 1.D0/R
      RI3=RIN**3
      H1= B*G(1)-2.D0*G(2)
      H2= B*G0-G(1)
      H3= (B*G(2)-3.D0*G(3))/AM
      H11=H1/AR
      P1 = H3 + (AR*H2+RVWAM*H1)/AM
      FA1=P1*R0I3
      FA2=R/XMU
      FA3=(G(2)+H11)*R0I3
      FA4=H3*R0I3
      FB1=P1*XMUIN
      FB2=-G(2)*XMUIN
      FB3=H11*XMUIN
      FB4=H3*XMUIN
      DO 10 K=4,6
10    DXP(K-3) = Y(K) - X(K)
      DO 20 J=1,3
      J3 = J+3
      Q1 = X(J)*FA3 + X(J3)*FA4 + DXP(J)*FA1
      Q2 = X(J)*FB3 + X(J3)*FB4 + DXP(J)*FB1
      Q4 = DXP(J)*FB2
      Q5 = DXP(J)*FA2
      DO 15 K=1,3
      K3 = K+3
      DXY(J,K) = DXP(K)*Q5 + X(K)*Q1
15    DXY(J,K3) = X(K)*Q4 + X(K3)*Q2
      DXY(J,J) = DXY(J,J) + FX
20    DXY(J,J3) = DXY(J,J3) + GX
      IF(KODE.LE.3) RETURN
      P2 = (H1+RVWAM*H2 - AR*B*G(1))/A
      FC1=-FA1*XMU*RI3
      FC2=-RIN**2
      FC3=(P2*R0I3-G0*R0IN)*RIN
      FC4 =-G(1)*RIN*A/AM
      FC5=AM*RIN*R0I3*(G(1)+H2/AR)/A
      FC6=H1*RIN*R0I3/A
      FD1=-P1*RI3/A
      FD2=G(2)*RI3/A
      XMURI=XMUIN*RIN
      FD3=P2*XMURI
      FD5=H2 *RIN*R0IN/AM
      FD6=H1*XMURI/A
      DO 30 J=1,3
      J3 = J+3
      Q1 = X(J)*FC5 + X(J3)*FC6 + Y(J)*FC1 + DXP(J)*FC3
      Q2 = X(J)*FD5 + X(J3)*FD6 + Y(J)*FD1 + DXP(J)*FD3
      Q3 = DXP(J)*FC4
      Q4 = Y(J)*FD2 + Q3
      Q5 = Y(J)*FC2
      DO 25 K=1,3
      K3 = K+3
      DXY(J3,K) = X(K)*Q1 + X(K3)*Q3 + DXP(K)*Q5
25    DXY(J3,K3) = X(K)*Q4 + X(K3)*Q2
      DXY(J3,J) = DXY(J3,J) + FT
30    DXY(J3,J3) = DXY(J3,J3) + GT
      RETURN
      END
